#!/usr/bin/env python
import os, pygame
from pygame.locals import *

class GameObject:
    def __init__(self, image, height, speed):
        self.speed = speed
        self.image = image
        self.pos = image.get_rect().move(0, height)
    def move(self):
        self.pos = self.pos.move(self.speed, 0)
        if self.pos.right > 600:
            self.pos.left = 0
            
pygame.init()
screen = pygame.display.set_mode((640, 480))

player = pygame.image.load('data/player1.gif').convert()
background = pygame.image.load('data/liquid.bmp').convert()
objects = []
for x in range(10):
		o = GameObject(player, x*40, x)
		objects.append(o)
while 1:
	for event in pygame.event.get():
		if event.type in (QUIT, KEYDOWN):
			quit()
	screen.blit(background, (0,0))
	for o in objects:
			o.move()
			screen.blit(o.image, o.pos)
	pygame.display.update()
